SeExpr

Public Types | Public Member Functions | Protected Member Functions | Private Attributes | List of all members
SeExpr2::Walker< constnode > Class Template Reference

`#include <ExprWalker.h>`

## Public Types
typedef Examiner< constnode > | T_EXAMINER
typedef T_EXAMINER::T_NODE | T_NODE

## Public Member Functions
| Walker (T_EXAMINER *examiner)
void | walk (T_NODE *examinee)
| Preorder walk. More...

## Protected Member Functions
void | internalWalk (T_NODE *examinee)
void | walkChildren (T_NODE *parent)

## Private Attributes
T_EXAMINER * | _examiner

## Detailed Description

### template<bool constnode = false>
class SeExpr2::Walker< constnode >

Definition at line 43 of file ExprWalker.h.

## Member Typedef Documentation

## ◆ T_EXAMINER

template<bool constnode = false>

typedef Examiner<constnode> SeExpr2::Walker< constnode >::T_EXAMINER

Definition at line 45 of file ExprWalker.h.

## ◆ T_NODE

template<bool constnode = false>

typedef T_EXAMINER::T_NODE SeExpr2::Walker< constnode >::T_NODE

Definition at line 46 of file ExprWalker.h.

## Constructor & Destructor Documentation

## ◆ Walker()

template<bool constnode = false>

SeExpr2::Walker< constnode >::Walker | ( | T_EXAMINER * | examiner | ) |
| inline

Definition at line 48 of file ExprWalker.h.

References SeExpr2::Walker< constnode >::_examiner, and SeExpr2::Examiner< constnode >::reset().

## Member Function Documentation

## ◆ internalWalk()

template<bool constnode>

void SeExpr2::Walker< constnode >::internalWalk | ( | T_NODE * | examinee | ) |
| protected

If examine returns false, do not recurse

Definition at line 36 of file ExprWalker.cpp.

## ◆ walk()

template<bool constnode>

void SeExpr2::Walker< constnode >::walk | ( | T_NODE * | examinee | ) |

Preorder walk.

Definition at line 30 of file ExprWalker.cpp.

Referenced by SeExpr2::Expression::debugPrintParseTree().

## ◆ walkChildren()

template<bool constnode>

void SeExpr2::Walker< constnode >::walkChildren | ( | T_NODE * | parent | ) |
| protected

Definition at line 43 of file ExprWalker.cpp.

References SeExpr2::ExprNode::child(), and SeExpr2::ExprNode::numChildren().

## Member Data Documentation

## ◆ _examiner

template<bool constnode = false>

T_EXAMINER* SeExpr2::Walker< constnode >::_examiner
| private

Definition at line 60 of file ExprWalker.h.

Referenced by SeExpr2::Walker< constnode >::Walker().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/ExprWalker.h
- /build/seexpr/src/SeExpr/src/SeExpr2/ExprWalker.cpp